import QtQuick 1.1
import com.nokia.symbian 1.1
import ownCloudSync 1.1

PageStackWindow {
    id: window
    initialPage: MainPage {tools: toolBarLayout}
    showStatusBar: true
    showToolBar: true

    Syncer {
        id: syncer
    }

    StatusBar {
        id: statusbar
    }

    ToolBarLayout {
        id: settingsToolBarLayout

        ToolButton {
            flat: true
            iconSource: "toolbar-back"
            onClicked: window.pageStack.depth <= 1 ? Qt.quit() : window.pageStack.pop()
        }
    }

    ToolBarLayout {
        id: toolBarLayout

        ToolButton {
            flat: true
            iconSource: "toolbar-back"
            onClicked: window.pageStack.depth <= 1 ? Qt.quit() : window.pageStack.pop()
        }

        ToolButton {
            flat: true
            iconSource: "toolbar-refresh"
            onClicked: syncer.synchronize()
        }

        ToolButton {
            flat: true
            iconSource: "toolbar-settings"
            onClicked: window.pageStack.push(Qt.resolvedUrl("SettingsPage.qml"), { tools: settingsToolBarLayout } )
        }
    }
}
